## libcacard 2.8.1

=== meson_options.txt ===
option('pcsc',
  type: 'feature',
  description: 'Build with PC/SC pass-through support'
)
option('disable_tests',
  type: 'boolean',
  value: false,
  description: 'Disable building tests targets'
)

## libcacard 2.5.0

=== debian/changelog ===
libcacard (1:2.5.0-3) unstable; urgency=high

  * smartcard-fix-memory-leak-in-vcard_apdu_new-CVE-2017-6414.patch
    Closes: #856501, CVE-2017-6414
  * dont-fail-if-caller-didn-t-pick-previous-response.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Mar 2017 11:57:23 +0300

libcacard (1:2.5.0-2) unstable; urgency=medium

  * add remove-requires.private.patch to remove Requires.private
    from libcacard.pc.  We're not building static library so
    these are not used, but pkg-config wants to see the dependent
    .pc files.  Arguably it is pkg-config bug.  (Closes: #804289)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 Nov 2015 13:03:01 +0300

libcacard (1:2.5.0-1a) unstable; urgency=medium

  * Initial release, source has been split out of qemu

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Oct 2015 13:58:13 +0300

=== debian/control ===
Source: libcacard
Section: otherosfs
Priority: extra
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>=9), pkg-config, libtool-bin,
 libnss3-dev (>=3.12.8~),
 libglib2.0-dev (>=2.22~),
Standards-Version: 3.9.6
Homepage: http://cgit.freedesktop.org/spice/libcacard/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/libcacard.git
Vcs-Git: git://anonscm.debian.org/pkg-qemu/libcacard.git

Package: libcacard0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Virtual Common Access Card (CAC) Emulator (runtime library)
 This emulator is designed to provide emulation of actual smart cards to a
 virtual card reader running in a guest virtual machine. The emulated smart
 cards can be representations of real smart cards, where the necessary
 functions such as signing, card removal/insertion, etc. are mapped to real,
 physical cards which are shared with the client machine the emulator is
 running on, or the cards could be pure software constructs.
 .
 This package provides the runtime library.

Package: libcacard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcacard0 (= ${binary:Version}), libnss3-dev
Description: Virtual Common Access Card (CAC) Emulator (development files)
 This emulator is designed to provide emulation of actual smart cards to a
 virtual card reader running in a guest virtual machine. The emulated smart
 cards can be representations of real smart cards, where the necessary
 functions such as signing, card removal/insertion, etc. are mapped to real,
 physical cards which are shared with the client machine the emulator is
 running on, or the cards could be pure software constructs.
 .
 This package provides files necessary to develop programs using the library.

Package: libcacard-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Virtual Common Access Card (CAC) Emulator (tools)
 This emulator is designed to provide emulation of actual smart cards to a
 virtual card reader running in a guest virtual machine. The emulated smart
 cards can be representations of real smart cards, where the necessary
 functions such as signing, card removal/insertion, etc. are mapped to real,
 physical cards which are shared with the client machine the emulator is
 running on, or the cards could be pure software constructs.
 .
 This package provides tools for the libcacard library (currently vscclient).

## libcacard 2.5.3

=== debian/changelog ===
libcacard (1:2.5.3-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release (Closes: #822720)
    - Drop patches applied upstream and refresh the remaining one
    - debian/libcacard0.symbols: Add new exported symbol
  * debian/control:
    - Bump Standards-Version to 4.1.3 (no further changes)
    - Bump priority to optional, extra is deprecated
    - Add libpcsclite-dev to the build-dependency to enabled pcsc passthrough

  [ Helmut Grohne ]
  * Fix FTCBFS: demote libtool-bin build dependency to libtool (Closes: #871679)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 10 Apr 2018 09:03:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libcacard
 Section: otherosfs
-Priority: extra
+Priority: optional
 Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>=9), pkg-config, libtool-bin,
+Build-Depends: debhelper (>=9), pkg-config, libtool,
  libnss3-dev (>=3.12.8~),
  libglib2.0-dev (>=2.22~),
-Standards-Version: 3.9.6
+ libpcsclite-dev,
+Standards-Version: 4.1.3
 Homepage: http://cgit.freedesktop.org/spice/libcacard/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/libcacard.git
 Vcs-Git: git://anonscm.debian.org/pkg-qemu/libcacard.git

## libcacard 2.6.1

=== debian/changelog ===
libcacard (1:2.6.1-1) unstable; urgency=medium

  * new upstream release
  * vscclient is just a test tool, upstream stopped building it
    by default, so do not create libcacard-tools package anymore
  * d/source/options: add 2 files present in git but not shipped in the tarball
  * disable testsuite for now as it needs some love
  * d/control: update VCS fields

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 12 Dec 2018 15:44:55 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  libpcsclite-dev,
 Standards-Version: 4.1.3
 Homepage: http://cgit.freedesktop.org/spice/libcacard/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/libcacard.git
-Vcs-Git: git://anonscm.debian.org/pkg-qemu/libcacard.git
+Vcs-Browser: https://salsa.debian.org/qemu-team/libcacard
+Vcs-Git: https://salsa.debian.org/qemu-team/libcacard.git
 
 Package: libcacard0
 Section: libs
@@ -42,17 +42,3 @@
  .
  This package provides files necessary to develop programs using the library.
 
-Package: libcacard-tools
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Virtual Common Access Card (CAC) Emulator (tools)
- This emulator is designed to provide emulation of actual smart cards to a
- virtual card reader running in a guest virtual machine. The emulated smart
- cards can be representations of real smart cards, where the necessary
- functions such as signing, card removal/insertion, etc. are mapped to real,
- physical cards which are shared with the client machine the emulator is
- running on, or the cards could be pure software constructs.
- .
- This package provides tools for the libcacard library (currently vscclient).
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@
# --with autoreconf 

# testsuite needs some more work
override_dh_auto_test:

## libcacard 2.7.0

=== debian/changelog ===
libcacard (1:2.7.0-1) unstable; urgency=medium

  * new upstream release
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control, debian/compat: bump debhelper compat level to 12
    and use debhelper-compat build-dependency instead of d/compat file
  * debian/control: add Rules-Requires-Root: no
  * switch to secure (https) URLs in debian/copyright
  * d/rules: only run known build targets with dh

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Jul 2020 11:41:27 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>=9), pkg-config, libtool,
+Build-Depends: debhelper-compat (= 12), pkg-config, libtool,
  libnss3-dev (>=3.12.8~),
  libglib2.0-dev (>=2.22~),
  libpcsclite-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://cgit.freedesktop.org/spice/libcacard/
 Vcs-Browser: https://salsa.debian.org/qemu-team/libcacard
 Vcs-Git: https://salsa.debian.org/qemu-team/libcacard.git
@@ -41,4 +42,3 @@
  running on, or the cards could be pure software constructs.
  .
  This package provides files necessary to develop programs using the library.
-

=== debian/rules ===
#!/usr/bin/make -f

build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
	dh $@

# testsuite needs some more work
override_dh_auto_test:

## libcacard 2.8.0

=== debian/changelog ===
libcacard (1:2.8.0-3build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:10:52 +0100

libcacard (1:2.8.0-3build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:14:20 +0200

libcacard (1:2.8.0-3) unstable; urgency=medium

  * libcacard-dev also build-depends on libpcsclite-dev.
    Really Closes: #979322

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 06 Jan 2021 19:39:33 +0300

libcacard (1:2.8.0-2) unstable; urgency=high

  * libcacard-dev depends on libglib2.0-dev (Closes: #979322)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 Jan 2021 21:02:12 +0300

libcacard (1:2.8.0-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream release
  * set maintainer to the QEMU team
  * use secure (https) url in d/watch, d/control
  * switch to meson build system (build-depend on meson)
  * build-depend on opensc, softhsm2, gnutls-bin, libnss3-tools, openssl
    for tests. tests/meson.build has a bug and configure step fails
    if any of them missing.
  * add new symbol to d/libcacard0.symbols
  * add Build-Depends-Package field to d/libcacard0.symbols
  * strip extra context from d/patches/remove-requires.private.patch
  * remove references to non-existing files from d/copyright
  * update d/source/options:
    ignore source (git) files which are not in the tarball
    remove mentions of non-existing files

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 30 Dec 2020 13:42:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: libcacard
 Section: otherosfs
 Priority: optional
-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper-compat (= 12), pkg-config, libtool,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Uploaders: Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 12), pkg-config, libtool, meson,
  libnss3-dev (>=3.12.8~),
  libglib2.0-dev (>=2.22~),
  libpcsclite-dev,
+# for tests: these can be moved to tests-only dep
+# once tests/meson.build is fixed to stop referencing
+# variable softhsm unconditionally for hwtests
+ opensc, softhsm2, gnutls-bin, libnss3-tools, openssl,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://cgit.freedesktop.org/spice/libcacard/
+Homepage: https://cgit.freedesktop.org/spice/libcacard/
 Vcs-Browser: https://salsa.debian.org/qemu-team/libcacard
 Vcs-Git: https://salsa.debian.org/qemu-team/libcacard.git
 
@@ -32,7 +38,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libcacard0 (= ${binary:Version}), libnss3-dev
+Depends: ${misc:Depends}, libcacard0 (= ${binary:Version}),
+ libnss3-dev, libglib2.0-dev, libpcsclite-dev
 Description: Virtual Common Access Card (CAC) Emulator (development files)
  This emulator is designed to provide emulation of actual smart cards to a
  virtual card reader running in a guest virtual machine. The emulated smart

=== debian/rules ===
#!/usr/bin/make -f

build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
	dh $@

## libcacard 2.8.1

=== debian/changelog ===
libcacard (1:2.8.1-2) unstable; urgency=medium

  * d/gbp.conf: add
  * d/control: mark test-only deps as <!nocheck> finally

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Sep 2025 12:47:52 +0300

libcacard (1:2.8.1-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream (minor) release
  * d/rules: line-wrap
  * d/control: build-dep: s/pkg-config/pkgconf/
  * d/control: debhelper-compat=13
  * d/control: Standards-Version: 4.7.2
  * d/not-installed: libcacard.la

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Sep 2025 11:52:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libcacard
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper-compat (= 12), pkg-config, libtool, meson,
- libnss3-dev (>=3.12.8~),
- libglib2.0-dev (>=2.22~),
+Build-Depends: debhelper-compat (= 13),
+ pkgconf, meson,
+ libnss3-dev,
+ libglib2.0-dev,
  libpcsclite-dev,
-# for tests: these can be moved to tests-only dep
-# once tests/meson.build is fixed to stop referencing
-# variable softhsm unconditionally for hwtests
- opensc, softhsm2, gnutls-bin, libnss3-tools, openssl,
-Standards-Version: 4.5.0
+# test-only deps:
+ opensc <!nocheck>,
+ softhsm2 <!nocheck>,
+ gnutls-bin <!nocheck>,
+ libnss3-tools <!nocheck>,
+ openssl <!nocheck>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://cgit.freedesktop.org/spice/libcacard/
 Vcs-Browser: https://salsa.debian.org/qemu-team/libcacard

=== debian/rules ===
#!/usr/bin/make -f

build-arch    build-indep  build \
install-indep install-arch install \
binary-arch   binary-indep binary \
clean: %:
	dh $@

=== debian/watch ===
version=3
https://www.spice-space.org/download/libcacard/libcacard-(\d+\.\d+\.\d)\.tar\.xz
